org.keycloak.models.entities

## Class RealmEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.RealmEntity

- Direct Known Subclasses:
    MongoRealmEntity

      public class RealmEntity
      extends AbstractIdentifiableEntity

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `adminEventsDetailsEnabled`
    `protected boolean` | `adminEventsEnabled`
    `protected String` | `otpPolicyAlgorithm`
    `protected int` | `otpPolicyDigits`
    `protected int` | `otpPolicyInitialCounter`
    `protected int` | `otpPolicyLookAheadWindow`
    `protected int` | `otpPolicyPeriod`
    `protected String` | `otpPolicyType`
    `protected boolean` | `registrationEmailAsUsername`

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getAccessCodeLifespan()`
    `int` | `getAccessCodeLifespanLogin()`
    `int` | `getAccessCodeLifespanUserAction()`
    `int` | `getAccessTokenLifespan()`
    `int` | `getAccessTokenLifespanForImplicitFlow()`
    `String` | `getAccountTheme()`
    `String` | `getAdminTheme()`
    `List<AuthenticationFlowEntity>` | `getAuthenticationFlows()`
    `List<AuthenticatorConfigEntity>` | `getAuthenticatorConfigs()`
    `String` | `getBrowserFlow()`
    `Map<String,String>` | `getBrowserSecurityHeaders()`
    `String` | `getCertificatePem()`
    `String` | `getClientAuthenticationFlow()`
    `String` | `getCodeSecret()`
    `List<ComponentEntity>` | `getComponentEntities()`
    `List<String>` | `getDefaultGroups()`
    `String` | `getDefaultLocale()`
    `List<String>` | `getDefaultRoles()`
    `String` | `getDirectGrantFlow()`
    `String` | `getDisplayName()`
    `String` | `getDisplayNameHtml()`
    `String` | `getEmailTheme()`
    `List<String>` | `getEnabledEventTypes()`
    `long` | `getEventsExpiration()`
    `List<String>` | `getEventsListeners()`
    `int` | `getFailureFactor()`
    `List<IdentityProviderMapperEntity>` | `getIdentityProviderMappers()`
    `List<IdentityProviderEntity>` | `getIdentityProviders()`
    `String` | `getLoginTheme()`
    `String` | `getMasterAdminClient()`
    `int` | `getMaxDeltaTimeSeconds()`
    `int` | `getMaxFailureWaitSeconds()`
    `int` | `getMinimumQuickLoginWaitSeconds()`
    `String` | `getName()`
    `int` | `getNotBefore()`
    `int` | `getOfflineSessionIdleTimeout()`
    `String` | `getOtpPolicyAlgorithm()`
    `int` | `getOtpPolicyDigits()`
    `int` | `getOtpPolicyInitialCounter()`
    `int` | `getOtpPolicyLookAheadWindow()`
    `int` | `getOtpPolicyPeriod()`
    `String` | `getOtpPolicyType()`
    `String` | `getPasswordPolicy()`
    `String` | `getPrivateKeyPem()`
    `String` | `getPublicKeyPem()`
    `long` | `getQuickLoginCheckMilliSeconds()`
    `String` | `getRegistrationFlow()`
    `List<RequiredActionProviderEntity>` | `getRequiredActionProviders()`
    `List<RequiredCredentialEntity>` | `getRequiredCredentials()`
    `String` | `getResetCredentialsFlow()`
    `Map<String,String>` | `getSmtpConfig()`
    `Map<String,String>` | `getSocialConfig()`
    `String` | `getSslRequired()`
    `int` | `getSsoSessionIdleTimeout()`
    `int` | `getSsoSessionMaxLifespan()`
    `List<String>` | `getSupportedLocales()`
    `List<UserFederationMapperEntity>` | `getUserFederationMappers()`
    `List<UserFederationProviderEntity>` | `getUserFederationProviders()`
    `int` | `getWaitIncrementSeconds()`
    `boolean` | `isAdminEventsDetailsEnabled()`
    `boolean` | `isAdminEventsEnabled()`
    `boolean` | `isBruteForceProtected()`
    `boolean` | `isEditUsernameAllowed()`
    `boolean` | `isEnabled()`
    `boolean` | `isEventsEnabled()`
    `boolean` | `isInternationalizationEnabled()`
    `boolean` | `isRegistrationAllowed()`
    `boolean` | `isRegistrationEmailAsUsername()`
    `boolean` | `isRememberMe()`
    `boolean` | `isResetPasswordAllowed()`
    `boolean` | `isRevokeRefreshToken()`
    `boolean` | `isVerifyEmail()`
    `void` | `setAccessCodeLifespan(int accessCodeLifespan)`
    `void` | `setAccessCodeLifespanLogin(int accessCodeLifespanLogin)`
    `void` | `setAccessCodeLifespanUserAction(int accessCodeLifespanUserAction)`
    `void` | `setAccessTokenLifespan(int accessTokenLifespan)`
    `void` | `setAccessTokenLifespanForImplicitFlow(int accessTokenLifespanForImplicitFlow)`
    `void` | `setAccountTheme(String accountTheme)`
    `void` | `setAdminEventsDetailsEnabled(boolean adminEventsDetailsEnabled)`
    `void` | `setAdminEventsEnabled(boolean adminEventsEnabled)`
    `void` | `setAdminTheme(String adminTheme)`
    `void` | `setAuthenticationFlows(List<AuthenticationFlowEntity> authenticationFlows)`
    `void` | `setAuthenticatorConfigs(List<AuthenticatorConfigEntity> authenticators)`
    `void` | `setBrowserFlow(String browserFlow)`
    `void` | `setBrowserSecurityHeaders(Map<String,String> browserSecurityHeaders)`
    `void` | `setBruteForceProtected(boolean bruteForceProtected)`
    `void` | `setCertificatePem(String certificatePem)`
    `void` | `setClientAuthenticationFlow(String clientAuthenticationFlow)`
    `void` | `setCodeSecret(String codeSecret)`
    `void` | `setComponentEntities(List<ComponentEntity> componentEntities)`
    `void` | `setDefaultGroups(List<String> defaultGroups)`
    `void` | `setDefaultLocale(String defaultLocale)`
    `void` | `setDefaultRoles(List<String> defaultRoles)`
    `void` | `setDirectGrantFlow(String directGrantFlow)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setDisplayNameHtml(String displayNameHtml)`
    `void` | `setEditUsernameAllowed(boolean editUsernameAllowed)`
    `void` | `setEmailTheme(String emailTheme)`
    `void` | `setEnabled(boolean enabled)`
    `void` | `setEnabledEventTypes(List<String> enabledEventTypes)`
    `void` | `setEventsEnabled(boolean eventsEnabled)`
    `void` | `setEventsExpiration(long eventsExpiration)`
    `void` | `setEventsListeners(List<String> eventsListeners)`
    `void` | `setFailureFactor(int failureFactor)`
    `void` | `setIdentityProviderMappers(List<IdentityProviderMapperEntity> identityProviderMappers)`
    `void` | `setIdentityProviders(List<IdentityProviderEntity> identityProviders)`
    `void` | `setInternationalizationEnabled(boolean internationalizationEnabled)`
    `void` | `setLoginTheme(String loginTheme)`
    `void` | `setMasterAdminClient(String masterAdminClient)`
    `void` | `setMaxDeltaTimeSeconds(int maxDeltaTimeSeconds)`
    `void` | `setMaxFailureWaitSeconds(int maxFailureWaitSeconds)`
    `void` | `setMinimumQuickLoginWaitSeconds(int minimumQuickLoginWaitSeconds)`
    `void` | `setName(String name)`
    `void` | `setNotBefore(int notBefore)`
    `void` | `setOfflineSessionIdleTimeout(int offlineSessionIdleTimeout)`
    `void` | `setOtpPolicyAlgorithm(String otpPolicyAlgorithm)`
    `void` | `setOtpPolicyDigits(int otpPolicyDigits)`
    `void` | `setOtpPolicyInitialCounter(int otpPolicyInitialCounter)`
    `void` | `setOtpPolicyLookAheadWindow(int otpPolicyLookAheadWindow)`
    `void` | `setOtpPolicyPeriod(int otpPolicyPeriod)`
    `void` | `setOtpPolicyType(String otpPolicyType)`
    `void` | `setPasswordPolicy(String passwordPolicy)`
    `void` | `setPrivateKeyPem(String privateKeyPem)`
    `void` | `setPublicKeyPem(String publicKeyPem)`
    `void` | `setQuickLoginCheckMilliSeconds(long quickLoginCheckMilliSeconds)`
    `void` | `setRegistrationAllowed(boolean registrationAllowed)`
    `void` | `setRegistrationEmailAsUsername(boolean registrationEmailAsUsername)`
    `void` | `setRegistrationFlow(String registrationFlow)`
    `void` | `setRememberMe(boolean rememberMe)`
    `void` | `setRequiredActionProviders(List<RequiredActionProviderEntity> requiredActionProviders)`
    `void` | `setRequiredCredentials(List<RequiredCredentialEntity> requiredCredentials)`
    `void` | `setResetCredentialsFlow(String resetCredentialsFlow)`
    `void` | `setResetPasswordAllowed(boolean resetPasswordAllowed)`
    `void` | `setRevokeRefreshToken(boolean revokeRefreshToken)`
    `void` | `setSmtpConfig(Map<String,String> smtpConfig)`
    `void` | `setSocialConfig(Map<String,String> socialConfig)`
    `void` | `setSslRequired(String sslRequired)`
    `void` | `setSsoSessionIdleTimeout(int ssoSessionIdleTimeout)`
    `void` | `setSsoSessionMaxLifespan(int ssoSessionMaxLifespan)`
    `void` | `setSupportedLocales(List<String> supportedLocales)`
    `void` | `setUserFederationMappers(List<UserFederationMapperEntity> userFederationMappers)`
    `void` | `setUserFederationProviders(List<UserFederationProviderEntity> userFederationProviders)`
    `void` | `setVerifyEmail(boolean verifyEmail)`
    `void` | `setWaitIncrementSeconds(int waitIncrementSeconds)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### registrationEmailAsUsername

          protected boolean registrationEmailAsUsername

    - #### otpPolicyType

          protected String otpPolicyType

    - #### otpPolicyAlgorithm

          protected String otpPolicyAlgorithm

    - #### otpPolicyInitialCounter

          protected int otpPolicyInitialCounter

    - #### otpPolicyDigits

          protected int otpPolicyDigits

    - #### otpPolicyLookAheadWindow

          protected int otpPolicyLookAheadWindow

    - #### otpPolicyPeriod

          protected int otpPolicyPeriod

    - #### adminEventsEnabled

          protected boolean adminEventsEnabled

    - #### adminEventsDetailsEnabled

          protected boolean adminEventsDetailsEnabled

  - ### Constructor Detail

    - #### RealmEntity

          public RealmEntity()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getDisplayNameHtml

          public String getDisplayNameHtml()

    - #### setDisplayNameHtml

          public void setDisplayNameHtml(String displayNameHtml)

    - #### isEnabled

          public boolean isEnabled()

    - #### setEnabled

          public void setEnabled(boolean enabled)

    - #### getSslRequired

          public String getSslRequired()

    - #### setSslRequired

          public void setSslRequired(String sslRequired)

    - #### isRegistrationAllowed

          public boolean isRegistrationAllowed()

    - #### setRegistrationAllowed

          public void setRegistrationAllowed(boolean registrationAllowed)

    - #### isRegistrationEmailAsUsername

          public boolean isRegistrationEmailAsUsername()

    - #### setRegistrationEmailAsUsername

          public void setRegistrationEmailAsUsername(boolean registrationEmailAsUsername)

    - #### isRememberMe

          public boolean isRememberMe()

    - #### setRememberMe

          public void setRememberMe(boolean rememberMe)

    - #### isVerifyEmail

          public boolean isVerifyEmail()

    - #### setVerifyEmail

          public void setVerifyEmail(boolean verifyEmail)

    - #### isResetPasswordAllowed

          public boolean isResetPasswordAllowed()

    - #### setResetPasswordAllowed

          public void setResetPasswordAllowed(boolean resetPasswordAllowed)

    - #### isEditUsernameAllowed

          public boolean isEditUsernameAllowed()

    - #### setEditUsernameAllowed

          public void setEditUsernameAllowed(boolean editUsernameAllowed)

    - #### getPasswordPolicy

          public String getPasswordPolicy()

    - #### setPasswordPolicy

          public void setPasswordPolicy(String passwordPolicy)

    - #### isBruteForceProtected

          public boolean isBruteForceProtected()

    - #### setBruteForceProtected

          public void setBruteForceProtected(boolean bruteForceProtected)

    - #### getMaxFailureWaitSeconds

          public int getMaxFailureWaitSeconds()

    - #### setMaxFailureWaitSeconds

          public void setMaxFailureWaitSeconds(int maxFailureWaitSeconds)

    - #### getMinimumQuickLoginWaitSeconds

          public int getMinimumQuickLoginWaitSeconds()

    - #### setMinimumQuickLoginWaitSeconds

          public void setMinimumQuickLoginWaitSeconds(int minimumQuickLoginWaitSeconds)

    - #### getWaitIncrementSeconds

          public int getWaitIncrementSeconds()

    - #### setWaitIncrementSeconds

          public void setWaitIncrementSeconds(int waitIncrementSeconds)

    - #### getQuickLoginCheckMilliSeconds

          public long getQuickLoginCheckMilliSeconds()

    - #### setQuickLoginCheckMilliSeconds

          public void setQuickLoginCheckMilliSeconds(long quickLoginCheckMilliSeconds)

    - #### getMaxDeltaTimeSeconds

          public int getMaxDeltaTimeSeconds()

    - #### setMaxDeltaTimeSeconds

          public void setMaxDeltaTimeSeconds(int maxDeltaTimeSeconds)

    - #### getFailureFactor

          public int getFailureFactor()

    - #### setFailureFactor

          public void setFailureFactor(int failureFactor)

    - #### isRevokeRefreshToken

          public boolean isRevokeRefreshToken()

    - #### setRevokeRefreshToken

          public void setRevokeRefreshToken(boolean revokeRefreshToken)

    - #### getSsoSessionIdleTimeout

          public int getSsoSessionIdleTimeout()

    - #### setSsoSessionIdleTimeout

          public void setSsoSessionIdleTimeout(int ssoSessionIdleTimeout)

    - #### getSsoSessionMaxLifespan

          public int getSsoSessionMaxLifespan()

    - #### setSsoSessionMaxLifespan

          public void setSsoSessionMaxLifespan(int ssoSessionMaxLifespan)

    - #### getOfflineSessionIdleTimeout

          public int getOfflineSessionIdleTimeout()

    - #### setOfflineSessionIdleTimeout

          public void setOfflineSessionIdleTimeout(int offlineSessionIdleTimeout)

    - #### getAccessTokenLifespan

          public int getAccessTokenLifespan()

    - #### setAccessTokenLifespan

          public void setAccessTokenLifespan(int accessTokenLifespan)

    - #### getAccessTokenLifespanForImplicitFlow

          public int getAccessTokenLifespanForImplicitFlow()

    - #### setAccessTokenLifespanForImplicitFlow

          public void setAccessTokenLifespanForImplicitFlow(int accessTokenLifespanForImplicitFlow)

    - #### getAccessCodeLifespan

          public int getAccessCodeLifespan()

    - #### setAccessCodeLifespan

          public void setAccessCodeLifespan(int accessCodeLifespan)

    - #### getAccessCodeLifespanUserAction

          public int getAccessCodeLifespanUserAction()

    - #### setAccessCodeLifespanUserAction

          public void setAccessCodeLifespanUserAction(int accessCodeLifespanUserAction)

    - #### getAccessCodeLifespanLogin

          public int getAccessCodeLifespanLogin()

    - #### setAccessCodeLifespanLogin

          public void setAccessCodeLifespanLogin(int accessCodeLifespanLogin)

    - #### getNotBefore

          public int getNotBefore()

    - #### setNotBefore

          public void setNotBefore(int notBefore)

    - #### getPublicKeyPem

          public String getPublicKeyPem()

    - #### setPublicKeyPem

          public void setPublicKeyPem(String publicKeyPem)

    - #### getPrivateKeyPem

          public String getPrivateKeyPem()

    - #### setPrivateKeyPem

          public void setPrivateKeyPem(String privateKeyPem)

    - #### getCodeSecret

          public String getCodeSecret()

    - #### setCodeSecret

          public void setCodeSecret(String codeSecret)

    - #### getLoginTheme

          public String getLoginTheme()

    - #### setLoginTheme

          public void setLoginTheme(String loginTheme)

    - #### getAccountTheme

          public String getAccountTheme()

    - #### setAccountTheme

          public void setAccountTheme(String accountTheme)

    - #### getAdminTheme

          public String getAdminTheme()

    - #### setAdminTheme

          public void setAdminTheme(String adminTheme)

    - #### getEmailTheme

          public String getEmailTheme()

    - #### setEmailTheme

          public void setEmailTheme(String emailTheme)

    - #### getDefaultRoles

          public List<String> getDefaultRoles()

    - #### setDefaultRoles

          public void setDefaultRoles(List<String> defaultRoles)

    - #### getRequiredCredentials

          public List<RequiredCredentialEntity> getRequiredCredentials()

    - #### setRequiredCredentials

          public void setRequiredCredentials(List<RequiredCredentialEntity> requiredCredentials)

    - #### getBrowserSecurityHeaders

          public Map<String,String> getBrowserSecurityHeaders()

    - #### setBrowserSecurityHeaders

          public void setBrowserSecurityHeaders(Map<String,String> browserSecurityHeaders)

    - #### getSmtpConfig

          public Map<String,String> getSmtpConfig()

    - #### setSmtpConfig

          public void setSmtpConfig(Map<String,String> smtpConfig)

    - #### getSocialConfig

          public Map<String,String> getSocialConfig()

    - #### setSocialConfig

          public void setSocialConfig(Map<String,String> socialConfig)

    - #### isEventsEnabled

          public boolean isEventsEnabled()

    - #### setEventsEnabled

          public void setEventsEnabled(boolean eventsEnabled)

    - #### getEventsExpiration

          public long getEventsExpiration()

    - #### setEventsExpiration

          public void setEventsExpiration(long eventsExpiration)

    - #### getEventsListeners

          public List<String> getEventsListeners()

    - #### setEventsListeners

          public void setEventsListeners(List<String> eventsListeners)

    - #### getEnabledEventTypes

          public List<String> getEnabledEventTypes()

    - #### setEnabledEventTypes

          public void setEnabledEventTypes(List<String> enabledEventTypes)

    - #### isAdminEventsEnabled

          public boolean isAdminEventsEnabled()

    - #### setAdminEventsEnabled

          public void setAdminEventsEnabled(boolean adminEventsEnabled)

    - #### isAdminEventsDetailsEnabled

          public boolean isAdminEventsDetailsEnabled()

    - #### setAdminEventsDetailsEnabled

          public void setAdminEventsDetailsEnabled(boolean adminEventsDetailsEnabled)

    - #### getMasterAdminClient

          public String getMasterAdminClient()

    - #### setMasterAdminClient

          public void setMasterAdminClient(String masterAdminClient)

    - #### getUserFederationProviders

          public List<UserFederationProviderEntity> getUserFederationProviders()

    - #### setUserFederationProviders

          public void setUserFederationProviders(List<UserFederationProviderEntity> userFederationProviders)

    - #### getUserFederationMappers

          public List<UserFederationMapperEntity> getUserFederationMappers()

    - #### setUserFederationMappers

          public void setUserFederationMappers(List<UserFederationMapperEntity> userFederationMappers)

    - #### getIdentityProviders

          public List<IdentityProviderEntity> getIdentityProviders()

    - #### setIdentityProviders

          public void setIdentityProviders(List<IdentityProviderEntity> identityProviders)

    - #### getCertificatePem

          public String getCertificatePem()

    - #### setCertificatePem

          public void setCertificatePem(String certificatePem)

    - #### isInternationalizationEnabled

          public boolean isInternationalizationEnabled()

    - #### setInternationalizationEnabled

          public void setInternationalizationEnabled(boolean internationalizationEnabled)

    - #### getSupportedLocales

          public List<String> getSupportedLocales()

    - #### setSupportedLocales

          public void setSupportedLocales(List<String> supportedLocales)

    - #### getDefaultLocale

          public String getDefaultLocale()

    - #### setDefaultLocale

          public void setDefaultLocale(String defaultLocale)

    - #### getIdentityProviderMappers

          public List<IdentityProviderMapperEntity> getIdentityProviderMappers()

    - #### setIdentityProviderMappers

          public void setIdentityProviderMappers(List<IdentityProviderMapperEntity> identityProviderMappers)

    - #### getAuthenticationFlows

          public List<AuthenticationFlowEntity> getAuthenticationFlows()

    - #### setAuthenticationFlows

          public void setAuthenticationFlows(List<AuthenticationFlowEntity> authenticationFlows)

    - #### getAuthenticatorConfigs

          public List<AuthenticatorConfigEntity> getAuthenticatorConfigs()

    - #### setAuthenticatorConfigs

          public void setAuthenticatorConfigs(List<AuthenticatorConfigEntity> authenticators)

    - #### getRequiredActionProviders

          public List<RequiredActionProviderEntity> getRequiredActionProviders()

    - #### setRequiredActionProviders

          public void setRequiredActionProviders(List<RequiredActionProviderEntity> requiredActionProviders)

    - #### getOtpPolicyType

          public String getOtpPolicyType()

    - #### setOtpPolicyType

          public void setOtpPolicyType(String otpPolicyType)

    - #### getOtpPolicyAlgorithm

          public String getOtpPolicyAlgorithm()

    - #### setOtpPolicyAlgorithm

          public void setOtpPolicyAlgorithm(String otpPolicyAlgorithm)

    - #### getOtpPolicyInitialCounter

          public int getOtpPolicyInitialCounter()

    - #### setOtpPolicyInitialCounter

          public void setOtpPolicyInitialCounter(int otpPolicyInitialCounter)

    - #### getOtpPolicyDigits

          public int getOtpPolicyDigits()

    - #### setOtpPolicyDigits

          public void setOtpPolicyDigits(int otpPolicyDigits)

    - #### getOtpPolicyLookAheadWindow

          public int getOtpPolicyLookAheadWindow()

    - #### setOtpPolicyLookAheadWindow

          public void setOtpPolicyLookAheadWindow(int otpPolicyLookAheadWindow)

    - #### getOtpPolicyPeriod

          public int getOtpPolicyPeriod()

    - #### setOtpPolicyPeriod

          public void setOtpPolicyPeriod(int otpPolicyPeriod)

    - #### getBrowserFlow

          public String getBrowserFlow()

    - #### setBrowserFlow

          public void setBrowserFlow(String browserFlow)

    - #### getRegistrationFlow

          public String getRegistrationFlow()

    - #### setRegistrationFlow

          public void setRegistrationFlow(String registrationFlow)

    - #### getDirectGrantFlow

          public String getDirectGrantFlow()

    - #### setDirectGrantFlow

          public void setDirectGrantFlow(String directGrantFlow)

    - #### getResetCredentialsFlow

          public String getResetCredentialsFlow()

    - #### setResetCredentialsFlow

          public void setResetCredentialsFlow(String resetCredentialsFlow)

    - #### getClientAuthenticationFlow

          public String getClientAuthenticationFlow()

    - #### setClientAuthenticationFlow

          public void setClientAuthenticationFlow(String clientAuthenticationFlow)

    - #### getDefaultGroups

          public List<String> getDefaultGroups()

    - #### setDefaultGroups

          public void setDefaultGroups(List<String> defaultGroups)

    - #### getComponentEntities

          public List<ComponentEntity> getComponentEntities()

    - #### setComponentEntities

          public void setComponentEntities(List<ComponentEntity> componentEntities)

Copyright © 2016 JBoss by Red Hat. All rights reserved.